All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.tableview.wml
Class DefaultTableRowRenderer

    com.sas.servlet.tbeans.tableview.wml.DefaultTableRowRenderer

All Implemented Interfaces:
  TableRowRenderer

    public class DefaultTableRowRenderer

implements TableRowRenderer

The DefaultTableRowRenderer is a class for rendering the begin and end WML row tags for the TableView. The table row renderer creates the WML tags for beginning and ending a row.

Constructor Summary
`DefaultTableRowRenderer()` Constructs a new DefaultTableRowRenderer

Method Summary
`java.util.Locale` | `getLocale()` Gets the locale.
`void` | `setLocale(java.util.Locale loc)` Sets the locale.
`void` | `writeBeginRow(AbstractBaseTableView tableview, java.io.PrintWriter out)` Generates the wml begin row tag for a wml TableView.
`void` | `writeEndRow(AbstractBaseTableView tableview, java.io.PrintWriter out)` Generates the wml end row tag for a wml TableView.

Constructor Detail

### DefaultTableRowRenderer

    public DefaultTableRowRenderer()

  Constructs a new DefaultTableRowRenderer

Method Detail

### writeBeginRow

    public void writeBeginRow(AbstractBaseTableView tableview,
                              java.io.PrintWriter out)
                       throws java.io.IOException

  Generates the wml begin row tag for a wml TableView.

  Specified by:
    `writeBeginRow` in interface `TableRowRenderer`
  Parameters:
    `tableview` - instance of the TableView
    `out` - The output stream
  Throws:
    `java.io.IOException` - Thrown if some type of I/O error occurs

### writeEndRow

    public void writeEndRow(AbstractBaseTableView tableview,
                            java.io.PrintWriter out)
                     throws java.io.IOException

  Generates the wml end row tag for a wml TableView.

  Specified by:
    `writeEndRow` in interface `TableRowRenderer`
  Parameters:
    `tableview` - instance of the TableView
    `out` - The output stream
  Throws:
    `java.io.IOException` - Thrown if some type of I/O error occurs

### setLocale

    public void setLocale(java.util.Locale loc)

  Sets the locale.

  Specified by:
    `setLocale` in interface `TableRowRenderer`
  Parameters:
    `loc` - an instance of java.util.Locale

### getLocale

    public java.util.Locale getLocale()

  Gets the locale.

  Specified by:
    `getLocale` in interface `TableRowRenderer`
  Returns:
    an instance of java.util.Locale

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.